// py_ex_call.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <eter/py_tinker.h>

py_tinker::object g_func;

void SetFunc(PyObject* poFunc)
{
	g_func = poFunc;

	g_func("haha", 1, 2, 3);
}

void initeter()
{
	py_tinker::module_("eter")
		.defv("SetFunc", SetFunc)
		;
}


int main(int argc, char* argv[])
{
	Py_Initialize();
	Py_SetProgramName((char*)"py_test");
			
	initeter();
	py_tinker::PyEmbed_RunMainFile("ex_call.py");
	Py_Finalize();	

	return 0;
}
